%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name hslogger
%define f_pkg_name hslogger
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.1.4
Release: alt1
License: LGPL
Group: Development/Haskell
URL: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%h_pkg_name
Source: %name-%version.tar
Summary: Versatile logging framework
# Automatically added by buildreq on Tue Apr 14 2009
BuildRequires: ghc-binary ghc-dataenc ghc(mtl) ghc-network ghc-regex-compat ghc-stm ghc(time) ghc-utf8-string

BuildRequires: ghc haddock %hs_package_dependencies
BuildRequires(pre): rpm-build-haskell


%description
hslogger is a logging framework for Haskell, roughly similar to
Python's logging module.

hslogger lets each log message have a priority and source be associated
with it.  The programmer can then define global handlers that route
or filter messages based on the priority and source.  hslogger also
has a syslog handler built in.

%prep
%setup -q


%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html

%changelog
* Wed Mar 09 2011 Denis Smirnov <mithraen@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.7-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.7-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.7-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.7-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 1.0.7-alt1.1
- rebuild with new haskell

* Tue Apr 14 2009 Anton Farygin <rider@altlinux.ru> 1.0.7-alt1
- first build for Sisyphus
